Subject: Getopt::ExPar-0.01 will be available shortly....
From: [email-masked] (Harlin L. Hamilton Jr.)
Date: 26 Nov 1998 15:21:22 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Well, just in case you didn't think there weren't enough
Getopt packages available, here's another one.  It's based
loosely on Stephen Lidie's EvaP package.  Please email me
any questions, comments and especially bugs that you find.
I've begun the CPAN registration process, but that can take
a while.  If you're interested in taking a look at this now,
please send an email and I will email you the tar.gz file.
Currently, it is only 18k.

Here's the included README:

              Extended Parameters 0.01 for Perl

    Extended Parameters, Getopt::ExPar, is written as a possible alternative
to current getopt packages.  Based, for the most part, on Stephen Lidie's
Getopt::EvaP package, this has several features that go beyond EvaP's 
capabilities.
 
 - Include a 'set' supertype which allows users to have multiple values for
   a single option.  Like lists, the only type unavailable in sets is switch.
   Also, sets within sets are not allowed.
 
 - All parameter types except switch may be lists and sets.
 
 - Use of ENV, or environment, variables is more flexible.
 
 - Use of abbreviations may be allowed.  The user may abbreviate commands or
   aliases as long as enough of the command is given to make it distinguishable
   from all others.  If not, a message is printed so the user may be more specific.
 
 - Use of 'switchglomming' may be allowed.  This is where multiple single-letter
   switches (either the command or alias must be a single letter) may be glommed,
   or grouped, together as the first option on the command line.
   Ex: script.pl -x -f -c -a arga   may be executed as
       script.pl -xfc -a arga       OR
       script.pl -fxc -a arga
 
------------
INSTALLATION
------------
SOP:
 
        perl Makefile.PL
        make
        make test
        make install
 
This should install to your site_perl directory.
 
------------
AVAILABILITY
------------
 
Will be available on CPAN mirror as soon as I see how it's done.
 
------
AUTHOR
------
 
Harlin L. Hamilton Jr.
Alcatel USA, Richardson, TX
 
hlhamilt_at_aud_dot_alcatel_dot_com
(replace _at_ with '@' and _dot_ with '.', sorry for the inconvenience)

---------
COPYRIGHT
---------
 
Copyright(c) 1998 Harlin L. Hamilton Jr.  All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same
terms as Perl itself.